﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="SampleApplication._Default" %>

<%@ Register assembly="Syncfusion.Grid.Grouping.Web, Version=11.4400.0.26, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" tagprefix="syncfusion" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">

</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

   <asp:ScriptManager ID="ScriptManager1" runat="server">
   </asp:ScriptManager>
    
   <div>
        <table>
            <tr>
                <td>
                    <asp:Button ID="btnShow" Text="Show" runat="server" onclick="btnShow_Click" />
                </td>

                <td>
                    <asp:Button ID="btnHide" Text="Hide" runat="server" onclick="btnHide_Click" />
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td>
                    <asp:UpdatePanel ID="GridPanel" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <syncfusion:GridGroupingControl ID="GridGroupingControl2" runat="server" ShowGroupDropArea="False" AutoFormat="Office 2007 Blue" 
                                DataSourceCachingMode="viewState" EnableCallbacks="False" Height="300" EnsureSelection="true" PageSize="15" Visible="false">
                                <TableDescriptor AllowNew="False" Name="Employees" AllowEdit="False" AllowFilter="False">
                                    <Columns>
                                        <syncfusion:GridColumnDescriptor MappingName="EmployeeID" HeaderText="Employee ID">
                                        </syncfusion:GridColumnDescriptor>
                                        <syncfusion:GridColumnDescriptor MappingName="FirstName" HeaderText="First Name">
                                        </syncfusion:GridColumnDescriptor>
                                        <syncfusion:GridColumnDescriptor MappingName="LastName" HeaderText="Last Name">
                                        </syncfusion:GridColumnDescriptor>
                                        <syncfusion:GridColumnDescriptor MappingName="Address" HeaderText="Address">
                                        </syncfusion:GridColumnDescriptor>
                                        <syncfusion:GridColumnDescriptor MappingName="City" HeaderText="City">
                                        </syncfusion:GridColumnDescriptor>
                                        <syncfusion:GridColumnDescriptor MappingName="Country" HeaderText="Country">
                                        </syncfusion:GridColumnDescriptor>
                                    </Columns>
                                </TableDescriptor>
                            </syncfusion:GridGroupingControl>
                        </ContentTemplate>
                        <Triggers>
                        </Triggers>
                    </asp:UpdatePanel>
                </td>
            </tr>        
        </table>
   </div>
</asp:Content>
