﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Web.UI.WebControls.Shared;
using System.Data;
using System.Data.SqlServerCe;
using Syncfusion.Grouping;
namespace SampleApplication
{
    public partial class _Default : System.Web.UI.Page
    {
        SqlCeConnection myConnection = null;
        SqlCeDataAdapter myDataAdapter = null;
        DataSet myDataSet = null;
        string ConnectionString = @"Data Source=|DataDirectory|\NorthwindImage.sdf";
        protected void Page_Load(object sender, EventArgs e)
        {
            this.btnHide.Enabled = false;
        }

        protected void btnShow_Click(object sender, EventArgs e)
        {
            this.GridGroupingControl2.Visible = true;
            this.btnShow.Enabled = false;
            this.btnHide.Enabled = true;
        }

        protected void btnHide_Click(object sender, EventArgs e)
        {
            this.GridGroupingControl2.Visible = false;
            this.btnHide.Enabled = false;
            this.btnShow.Enabled = true;
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            this.GridGroupingControl2.DataSource = GetData();
        }

        private DataTable GetData()
        {
            AppDomain.CurrentDomain.SetData("SQLServerCompactEditionUnderWebHosting", true);
            try
            {
                myConnection = new SqlCeConnection(ConnectionString);
                myDataAdapter = new SqlCeDataAdapter("SELECT EmployeeID, Address, City, Notes, FirstName, LastName, Country FROM Employees", myConnection);
                myDataSet = new DataSet();
                myDataAdapter.Fill(myDataSet);
                DataTable myDataTable = myDataSet.Tables[0];
                return myDataTable;
            }
            catch (SqlCeException ex)
            {
                throw ex;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}

